/*
 * Class NATIVE_ARRAY [POINTER]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_532 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_532 [] = {0xFF01,237,531,215,0xFFFF};
static const EIF_TYPE_INDEX egt_2_532 [] = {0xFF01,531,215,0xFFFF};
static const EIF_TYPE_INDEX egt_3_532 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_532 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_532 [] = {0xFF01,531,215,0xFFFF};
static const EIF_TYPE_INDEX egt_6_532 [] = {0xFF01,531,215,0xFFFF};
static const EIF_TYPE_INDEX egt_7_532 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_532 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_532 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_532 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_532 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_532 [] = {531,215,0xFFFF};
static const EIF_TYPE_INDEX egt_13_532 [] = {0xFF01,531,215,0xFFFF};
static const EIF_TYPE_INDEX egt_14_532 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_532[] = {
	{EIF_GENERIC(NULL), 52, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_532), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_532), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_532), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_532), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_532), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_532), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_532), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_532), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_532), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_532), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_532), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_532), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_532), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_532), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_532), -1, 0xFFFFFFFF},
};
void Init532(void)
{
	IDSC(desc_532, 0, 531);
	IDSC(desc_532 + 1, 1, 531);
	IDSC(desc_532 + 32, 291, 531);
}


#ifdef __cplusplus
}
#endif
